ImagePojo

com.j0h1.contour.pojo

## Class ImagePojo

- java.lang.Object
- - com.j0h1.contour.pojo.ImagePojo

- All Implemented Interfaces:
    java.io.Serializable

      public class ImagePojo
      extends java.lang.Object
      implements java.io.Serializable

  Serializable Image object representation that contains an images meta data as well as the binary data. This image representation is needed to store data received from REST calls.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `data`
    `private int` | `imageId`
    `private java.lang.String` | `imagename`
    `private int` | `position`
    `private double` | `score`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImagePojo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getData()`
    `int` | `getImageId()`
    `java.lang.String` | `getImagename()`
    `int` | `getPosition()`
    `double` | `getScore()`
    `void` | `setData(java.lang.String data)`
    `void` | `setImageId(int imageId)`
    `void` | `setImagename(java.lang.String imagename)`
    `void` | `setPosition(int position)`
    `void` | `setScore(double score)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### imageId

          private int imageId

    - #### imagename

          private java.lang.String imagename

    - #### position

          private int position

    - #### score

          private double score

    - #### data

          private java.lang.String data

  - ### Constructor Detail

    - #### ImagePojo

          public ImagePojo()

  - ### Method Detail

    - #### getImageId

          public int getImageId()

    - #### setImageId

          public void setImageId(int imageId)

    - #### getImagename

          public java.lang.String getImagename()

    - #### setImagename

          public void setImagename(java.lang.String imagename)

    - #### getPosition

          public int getPosition()

    - #### setPosition

          public void setPosition(int position)

    - #### getScore

          public double getScore()

    - #### setScore

          public void setScore(double score)

    - #### getData

          public java.lang.String getData()

    - #### setData

          public void setData(java.lang.String data)